#!/bin/bash

BACK_FILE_PREFIX="backup_"
BACK_FILE=$BACK_FILE_PREFIX"$(date +%Y_%m_%d-%H_%M)"

set -x

M=${MONGO_CONNECTION//\/admin?/\/?}
MONGO_CONNECTION=$M"&readPreference=secondary"

mongodump --gzip --archive="$BACKUP_FOLDER/$BACK_FILE" "$MONGO_CONNECTION"
if [ $? -ne 0 ]; then
  exit 1;
fi

python3 clear_old.py "$BACKUP_FOLDER" "$DAYS_TO_RETAIN" $BACK_FILE_PREFIX

# Example restore command
# mongorestore --archive="$BACKUP_FOLDER/$BACK_FILE" --drop --dryRun "$MONGO_CONNECTION"